<?php  
// TESTIMONIALS SECTION START HERE 
/*============TESTIMONIALS SECTION PANEL============*/
$wp_customize->add_section(
    'luzuk_them_testimonials_section',
    array(
        'title'         => __( 'Testimonials Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_them_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'luzuk_them_testimonials_section_disable',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_them_Switch_Control(
        $wp_customize,
        'luzuk_them_testimonials_section_disable',
        array(
            'settings'      => 'luzuk_them_testimonials_section_disable',
            'section'       => 'luzuk_them_testimonials_section',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 

backgroundManager($wp_customize, 'testimonials', 'luzuk_them_testimonials_section', $color='#ffffff');


lzCustomLable($wp_customize, 'luzuk_them_sec_blogsectionpadding', 'luzuk_them_testimonials_section', 'Set Padding For Testimonial Section:');

$wp_customize->add_setting(
    'sec_testimonialsectionTpadding', 
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionTpadding',
    array(
        'settings'      => 'sec_testimonialsectionTpadding',
        'section'       => 'luzuk_them_testimonials_section',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_testimonialsectionBpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '3em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionBpadding',
    array(
        'settings'      => 'sec_testimonialsectionBpadding',
        'section'       => 'luzuk_them_testimonials_section',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_testimonialsectionLpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionLpadding',
    array(
        'settings'      => 'sec_testimonialsectionLpadding',
        'section'       => 'luzuk_them_testimonials_section',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_testimonialsectionRpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionRpadding',
    array(
        'settings'      => 'sec_testimonialsectionRpadding',
        'section'       => 'luzuk_them_testimonials_section',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Right Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'luzuk_them_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_them_Customize_Heading(
        $wp_customize,
       'luzuk_them_testimonials_title_subtitle_heading',
       array(
           'settings'      => 'luzuk_them_testimonials_title_subtitle_heading',
           'section'       => 'luzuk_them_testimonials_section',
           'label'         => __( 'Section Title', 'Luzuk Premium' ),
       )
   )
);


$wp_customize->add_setting(
    'luzuk_them_testimonials_title',
    array(
       'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'Testimonials', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'luzuk_them_testimonials_title',
    array(
       'settings'      => 'luzuk_them_testimonials_title',
       'section'       => 'luzuk_them_testimonials_section',
       'type'          => 'text',
       'label'         => __( 'Section Title', 'Luzuk Premium' )
    )
);


// Heading color
addColorPalatOption($wp_customize, 'luzuk_them_testimonials_mainHeadingColor', 'luzuk_them_testimonials_section', 'Section Title color', '#3b3634');


// Heading color
addColorPalatOption($wp_customize, 'luzuk_them_testimonials_Subttlbordersolor', 'luzuk_them_testimonials_section', 'Section Title Border color', '#fb6f58');

if(!is_array($lzFitnessTesimonialsSingleChoice)){
    $wp_customize->add_setting('luzuk_them_testimonials_section_lbl', array('sanitize_callback'=>'luzuk_them_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_them_Info_Text( 
            $wp_customize,
            'luzuk_them_testimonials_section_lbl',
            array(
                'settings'      => 'luzuk_them_testimonials_section_lbl',
                'section'       => 'luzuk_them_testimonials_section',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_them_premium_testimonials_section_lbl', array('sanitize_callback'=>'luzuk_them_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Info_Text( 
        $wp_customize,
        'luzuk_them_premium_testimonials_section_lbl',
        array(
            'settings'      => 'luzuk_them_premium_testimonials_section_lbl',
            'section'       => 'luzuk_them_testimonials_section',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 10; $i++ ){
    $wp_customize->add_setting(
        'luzuk_them_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_them_Customize_Heading(
            $wp_customize,
            'luzuk_them_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_them_testimonials_heading'.$i,
                'section'       => 'luzuk_them_testimonials_section',
                'label'         => __( 'Testimonial', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'luzuk_them_testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'luzuk_them_testimonials_page'.$i,
        array(
            'settings'      => 'luzuk_them_testimonials_page'.$i,
            'section'       => 'luzuk_them_testimonials_section',
            'type'=> 'select',
            'label'         => __( 'Select a Client Testimonials', 'Luzuk Premium' ),
            'choices' => $lzFitnessTesimonialsSingleChoice,
        )
    );
}


addColorPalatOption($wp_customize, 'luzuk_them_testimonials_boxbgssColor', 'luzuk_them_testimonials_section', 'Testimonial Box Background color', '#f6f6f6');

addColorPalatOption($wp_customize, 'luzuk_them_testimonials_IconboxbgssColor', 'luzuk_them_testimonials_section', 'Testimonial Box Icon color', '#f76953');

addColorPalatOption($wp_customize, 'luzuk_them_testimonials_textColor', 'luzuk_them_testimonials_section', 'Testimonial Text color', '#464646');

addColorPalatOption($wp_customize, 'luzuk_them_testimonials_clientnametextColor', 'luzuk_them_testimonials_section', 'Client Name Text color', '#000000');
addColorPalatOption($wp_customize, 'luzuk_them_testimonials_clientdesignationtextColor', 'luzuk_them_testimonials_section', 'Client Designation Text color', '#f6755f');



addColorPalatOption($wp_customize, 'testimonials_testimonnextprevbutbgColor', 'luzuk_them_testimonials_section', 'Testimonials Slider Next/Prev Button Background color', '#332931');

addColorPalatOption($wp_customize, 'testimonials_testimonnextprevbuticonColor', 'luzuk_them_testimonials_section', 'Testimonials Slider Next/Prev Button Icon color', '#fff');

addColorPalatOption($wp_customize, 'testimonials_testimonnextprevbuthoverbgColor', 'luzuk_them_testimonials_section', 'Testimonials Slider Next/Prev Button Hover Background color', '#f6755f');

addColorPalatOption($wp_customize, 'testimonials_testimonnextprevbuthoviconColor', 'luzuk_them_testimonials_section', 'Testimonials Slider Next/Prev Button Hover Icon color', '#fff');
